import { DeviceTwinCallback, GrantErrorCallback, SubscriptionErrorCallback } from './base/types';
import { TwinUpdate } from './base/ux4iot-shared';
declare type HookOptions = {
    onData?: DeviceTwinCallback;
    onGrantError?: GrantErrorCallback;
    onSubscriptionError?: SubscriptionErrorCallback;
};
export declare const useDeviceTwin: (deviceId: string, options?: HookOptions) => TwinUpdate | undefined;
export {};
