import { GrantErrorCallback, MessageCallback, SubscriptionErrorCallback } from './base/types';
import { SubscriptionRequest } from './base/ux4iot-shared';
export declare type HookOptions = {
    onGrantError?: GrantErrorCallback;
    onSubscriptionError?: SubscriptionErrorCallback;
};
export declare function useSubscription(options: HookOptions | undefined, onMessage: MessageCallback, getSubscriptionRequest: (sessionId: string) => SubscriptionRequest): void;
