"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NETWORK_STATES = exports.TIMEOUT_SECONDS = exports.RECONNECT_TIMEOUT = void 0;
exports.RECONNECT_TIMEOUT = 5000;
exports.TIMEOUT_SECONDS = exports.RECONNECT_TIMEOUT / 1000;
exports.NETWORK_STATES = {
    UX4IOT_OFFLINE: [
        'ux4iot_unreachable',
        "Failed to fetch sessionId of ux4iot. Attempting again in ".concat(exports.TIMEOUT_SECONDS, " seconds."),
    ],
    SERVER_UNAVAILABLE: [
        'socket_connect_error',
        'Could not establish connection to ux4iot websocket',
    ],
    CLIENT_DISCONNECTED: ['socket_disconnect', 'Client manually disconnected'],
    SERVER_DISCONNECTED: [
        'socket_disconnect',
        "Disconnected / Error Connecting. Trying to reconnect in ".concat(exports.TIMEOUT_SECONDS, " seconds."),
    ],
    CONNECTED: ['socket_connect', 'Connected to ux4iot websocket'],
};
