import { D2CMessageCallback, GrantErrorCallback, SubscriptionErrorCallback } from './base/types';
declare type HookOptions = {
    onData?: D2CMessageCallback;
    onGrantError?: GrantErrorCallback;
    onSubscriptionError?: SubscriptionErrorCallback;
};
export declare const useD2CMessages: <T extends Record<string, unknown>>(deviceId: string, options?: HookOptions) => T | undefined;
export {};
